<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db2.SceneObjectMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db2.SceneObject">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_name" property="createName" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_name" property="modifyName" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="name" property="name" />
        <result column="level" property="level" />
        <result column="status" property="status" />
        <result column="sort" property="sort" />
        <result column="memo" property="memo" />
        <result column="source_type" property="sourceType" />
        <result column="district_id" property="districtId" />
        <result column="property_id" property="propertyId" />
        <result column="agent_id" property="agentId" />
        <result column="district_name" property="districtName" />
        <result column="property_name" property="propertyName" />
        <result column="agent_name" property="agentName" />
        <result column="manager_level" property="managerLevel" />
        <result column="object_id" property="objectId" />
        <result column="object_name" property="objectName" />
        <result column="object_parent_id" property="objectParentId" />
        <result column="object_parent_name" property="objectParentName" />
        <result column="scenes_id" property="scenesId" />
        <result column="scenes_name" property="scenesName" />
        <result column="scenes_level" property="scenesLevel" />
        <result column="grid_name" property="gridName" />
        <result column="superior_grid_name" property="superiorGridName" />
        <result column="grid_level" property="gridLevel" />
        <result column="grid_id" property="gridId" />
        <result column="building_id" property="buildingId" />
        <result column="floor_id" property="floorId" />
        <result column="multistage_grid_id" property="multistageGridId" />
        <result column="superior_scenes_name" property="superiorScenesName" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_name, create_time, modify_id, modify_name, modify_time, soft_delete, name, level, status, sort, memo, source_type, district_id, property_id, agent_id, district_name, property_name, agent_name, manager_level, object_id, object_name, object_parent_id, object_parent_name, scenes_id, scenes_name, scenes_level, grid_name, superior_grid_name, grid_level, grid_id, building_id, floor_id, multistage_grid_id, superior_scenes_name
    </sql>

</mapper>
